RapidJSON: rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator > Class Template Reference

Public Types | Public Member Functions | List of all members
rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator > Class Template Reference

A helper class for parsing with validation. More...

`#include <schema.h>`

## Public Types
typedef SchemaDocumentType::PointerType | PointerType
typedef InputStream::Ch | Ch
typedef GenericValue< SourceEncoding, StackAllocator > | ValueType

## Public Member Functions
| SchemaValidatingReader (InputStream &is, const SchemaDocumentType &sd)
| Constructor. More...
template<typename Handler >
bool | operator() (Handler &handler)
const ParseResult & | GetParseResult () const
bool | IsValid () const
const PointerType & | GetInvalidSchemaPointer () const
const Ch * | GetInvalidSchemaKeyword () const
const PointerType & | GetInvalidDocumentPointer () const
const ValueType & | GetError () const

## Detailed Description

### template<unsigned parseFlags, typename InputStream, typename SourceEncoding, typename SchemaDocumentType = SchemaDocument, typename StackAllocator = CrtAllocator>
class rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator >

A helper class for parsing with validation.

This helper class is a functor, designed as a parameter of GenericDocument::Populate().

Template Parameters

  parseFlags | Combination of ParseFlag.
  InputStream | Type of input stream, implementing Stream concept.
  SourceEncoding | Encoding of the input stream.
  SchemaDocumentType | Type of schema document.
  StackAllocator | Allocator type for stack.

## Constructor & Destructor Documentation

## ◆ SchemaValidatingReader()

template<unsigned parseFlags, typename InputStream , typename SourceEncoding , typename SchemaDocumentType = SchemaDocument, typename StackAllocator = CrtAllocator>

rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator >::SchemaValidatingReader | ( | InputStream & | is,
|  | const SchemaDocumentType & | sd
| ) |  |
| inline

Constructor.

Parameters

  is | Input stream.
  sd | Schema document.

The documentation for this class was generated from the following file:

- include/rapidjson/schema.h